Updates an existing project (partial update using PATCH semantics).
Path Parameters
- Type: stringidrequired
Project ID
Headers
- Type: stringIf
- Match ETag value for optimistic concurrency control
Body·
Fields to update
Request model for updating a project.
- Type: nullableassetProperties: 2
Asset information for a project. Describes whether this is a single property or portfolio deal.
- Type: null | stringcover
Image Id The project's cover picture: an image id from
POST /api/v1/imagesthat you uploaded. Null removes the cover. Not allowed on a closed project. - Type: null | stringexclusivity
Sales exclusivity type: "exclusive", "non_exclusive", "other", or null to clear. Preferred field; mutually exclusive with the deprecated
mandatefield. - Type:external
Refs Properties: 2External references for CRM integration. Replaces all existing external refs. Set to empty array to remove all external refs.
- Type: null | stringmandatedeprecated
Deprecated alias for
exclusivity. Sending bothmandateandexclusivitywith non-null values is rejected with 422. Will be removed in a future minor version. - Type: null | stringname
Project name. Cannot be empty if provided.
- Type: nullablepriceProperties: 3
Price as a single
value, with currency and scale. - Type: nullableprice
Range Properties: 4Price as a
min/maxrange, with currency and scale.
Responses
- application/json
- application/problem+json
- application/problem+json
- application/problem+json
- application/problem+json
- application/problem+json
- application/problem+json
curl 'https://app.propstreet.com/api/v1/projects/{id}' \
--request PATCH \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"name": null,
"asset": {
"type": "",
"propertyCount": null
},
"externalRefs": [
{
"namespace": "",
"id": ""
}
],
"exclusivity": null,
"price": {
"value": 0,
"currency": "",
"scale": ""
},
"priceRange": {
"min": null,
"max": null,
"currency": "",
"scale": ""
},
"coverImageId": null
}'
{
"id": "string",
"uri": null,
"externalRefs": [
{
"namespace": "string",
"id": "string"
}
],
"name": "string",
"asset": {
"type": "string",
"propertyCount": null
},
"status": "string",
"classification": null,
"teaser": {
"id": "string",
"uri": null,
"createdUtc": "2026-10-16T16:23:10.051Z",
"updatedUtc": "2026-10-16T16:23:10.051Z",
"etag": "string",
"changeType": null,
"changeOrigin": null,
"stage": null,
"publishedUtc": null,
"verifiedUtc": null,
"communicatedUtc": null,
"isPreMarket": null,
"exclusivity": null,
"title": null,
"tags": [
"string"
],
"options": {
"locality": {
"display": "actual"
},
"country": {
"display": "actual"
},
"tenure": {
"display": "actual"
},
"categories": {
"display": "actual"
},
"parcelArea": {
"display": "actual"
},
"avgContractLength": {
"display": "actual"
},
"leasableUnits": {
"display": "actual"
},
"zoningCategory": {
"display": "actual"
},
"zoningGfa": {
"display": "actual"
},
"rentalIncome": {
"display": "actual"
},
"investmentSize": {
"display": "actual"
},
"rentedPercent": {
"display": "actual"
},
"totalCosts": {
"display": "actual"
},
"noi": {
"display": "actual"
},
"yield": {
"display": "actual"
},
"propertyCount": {
"display": "actual"
},
"conversions": {
"display": "actual"
},
"yearBuilt": {
"display": "actual"
},
"locationClasses": {
"display": "actual"
}
},
"template": {
"locality": {
"allowedDisplays": [
"actual"
]
},
"country": {
"allowedDisplays": [
"actual"
]
},
"tenure": {
"allowedDisplays": [
"actual"
]
},
"categories": {
"allowedDisplays": [
"actual"
]
},
"parcelArea": {
"allowedDisplays": [
"actual"
]
},
"avgContractLength": {
"allowedDisplays": [
"actual"
]
},
"leasableUnits": {
"allowedDisplays": [
"actual"
]
},
"zoningCategory": {
"allowedDisplays": [
"actual"
]
},
"zoningGfa": {
"allowedDisplays": [
"actual"
]
},
"rentalIncome": {
"allowedDisplays": [
"actual"
]
},
"investmentSize": {
"allowedDisplays": [
"actual"
]
},
"rentedPercent": {
"allowedDisplays": [
"actual"
]
},
"totalCosts": {
"allowedDisplays": [
"actual"
]
},
"noi": {
"allowedDisplays": [
"actual"
]
},
"yield": {
"allowedDisplays": [
"actual"
]
},
"propertyCount": {
"allowedDisplays": [
"actual"
]
},
"conversions": {
"allowedDisplays": [
"actual"
]
},
"yearBuilt": {
"allowedDisplays": [
"actual"
]
},
"locationClasses": {
"allowedDisplays": [
"actual"
]
},
"tags": [
"string"
]
},
"projection": {
"locality": null,
"country": null,
"categories": [
{
"type": "string",
"locationClass": null,
"percentage": null
}
],
"yearBuilt": {
"value": null,
"min": null,
"max": null
},
"tenure": null,
"conversions": [
"string"
],
"rentalIncome": {
"value": null,
"min": null,
"max": null,
"currency": "string",
"scale": "string"
},
"leasableUnits": {
"value": null,
"min": null,
"max": null
},
"rentedPercent": {
"value": null,
"min": null,
"max": null
},
"totalCosts": {
"value": null,
"min": null,
"max": null,
"currency": "string",
"scale": "string"
},
"noi": {
"value": null,
"min": null,
"max": null,
"currency": "string",
"scale": "string"
},
"parcelArea": {
"value": null,
"min": null,
"max": null
},
"avgContractLength": {
"value": null,
"min": null,
"max": null
},
"yield": {
"value": null,
"min": null,
"max": null
},
"zoningCategories": [
"string"
],
"zoningGfa": {
"value": null,
"min": null,
"max": null
},
"investmentSize": {
"value": null,
"min": null,
"max": null,
"currency": "string",
"scale": "string"
},
"propertyCount": {
"value": null,
"min": null,
"max": null
}
},
"nudge": {
"code": "string",
"message": "string",
"navigateUri": null
},
"navigateUri": null
},
"exclusivity": null,
"price": {
"value": 0,
"currency": "string",
"scale": "string"
},
"priceRange": {
"min": null,
"max": null,
"currency": "string",
"scale": "string"
},
"coverImageUrl": null,
"properties": [
{
"id": "string",
"uri": null,
"name": "string"
}
],
"transactions": [
{
"type": "string",
"closedUtc": "2026-10-16T16:23:10.051Z",
"price": {
"value": null,
"min": null,
"max": null,
"currency": "string",
"scale": "string"
},
"yield": {
"value": null,
"min": null,
"max": null
},
"buyer": {
"type": null,
"name": null,
"prospectId": null,
"contactId": null,
"companyId": null
},
"seller": {
"type": null,
"name": null,
"prospectId": null,
"contactId": null,
"companyId": null
},
"sellerAdvisor": {
"type": null,
"name": null,
"prospectId": null,
"contactId": null,
"companyId": null
},
"buyerAdvisor": {
"type": null,
"name": null,
"prospectId": null,
"contactId": null,
"companyId": null
},
"signedOn": null,
"completedOn": null,
"completedIsPlanned": true,
"compId": null
}
],
"createdUtc": "2026-10-16T16:23:10.051Z",
"updatedUtc": "2026-10-16T16:23:10.051Z",
"deletedUtc": null,
"etag": "string",
"changeType": null,
"changeOrigin": null
}